%define enable_japanese 1

%define sysconfdir	/etc
%define localstatedir	/var/lib

%define		preferdb	--enable-prefer-db1

Name:		gnome-libs
Version: 	1.2.8
Release:	11
Epoch:		1
Summary:	Main GNOME libraries
Copyright:	LGPL
Group:		System Environment/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk+ >= 1.2.5
Requires:	ORBit
Requires:	imlib
Requires:	esound

# Added to avoid the warning messages about utmp group, bug #24171
PreReq:                utempter

Source2:       gnome-libs-po.tar.gz


# Red Hat patches
Patch:		RH-gnome-libs-rhsnddefs.patch
Patch2:		RH-gnome-libs-echok.patch
Patch3:         RH-gnome-terminal-escseqs.patch
Patch4:         gnome-libs-applix-mime.patch
Patch5:         gnome-libs-gtkrc.patch
Patch6:         gnome-libs-1.0.55-safeprop.patch
Patch7:		gnome-libs-1.2.4-scrolling.patch

# Helix patches

# i18n patches
Patch21:        gnome-libs-1.0.57-zvt_mb-0.6.1.patch
Patch22:        gtk-xmhtml-wordwrap-990930.patch
Patch23:        gtk-xmhtml-fontsizes.patch
Patch24:        gnome-libs-1.0.53-fontset.patch
Patch25: http://www.kr.freebsd.org/~hwang/patch/gnome-icon-item.c-preedit-diff
Patch26:	gtk-xmhtml-wordwrap-alnum.patch
Patch27:	gnome-libs-1.2.8-utf8menu.patch
Patch28:	gnome-libs-1.2.8-gnome-canvas-aa.patch
Patch29:        gnome-libs-1.2.8-kdesm.patch
Patch30:        gnome-libs-1.2.8-pastefix.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel
Summary:	Libraries and headers for GNOME application development
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:	gtk+-devel
Requires:	ORBit-devel
Requires:	imlib-devel
Requires:	esound-devel
Requires:	db1-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don''t need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q

%patch  -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 -b .scrolling
%if %{enable_japanese}
%patch21 -p1 -b .zvt
%patch22 -p1 -b .wordwrap
%patch23 -p1 -b .fontsize
%patch24 -p1 -b .about
%patch25 -p0 -b .iconedit
%patch26 -p1 -b .alnum
%patch27 -p1 -b .utf8menu
%patch28 -p1 -b .aa
%endif
%patch29 -p1 -b .kdesm
%patch30 -p1 -b .pastefix

# translations
tar zxf %{SOURCE2}

%build
libtoolize --copy --force
# the gtkrc patch changes a Makefile.am
automake
CFLAGS="$RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{sysconfdir}	\
	--with-kde-datadir=/usr/share                \
	--localstatedir=%{localstatedir} \
	%{preferdb}

#i think we need a blank line above

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

mv $RPM_BUILD_ROOT%{_prefix}/share/doc/gnome-doc $RPM_BUILD_ROOT%{_prefix}/bin
chmod a+x $RPM_BUILD_ROOT%{_prefix}/bin/gnome-doc
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/mkstub $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_prefix}/bin/mkstub
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/gnome-doc.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/dns-helper
%{_prefix}/bin/gconfigger
%{_prefix}/bin/gnome-bug
%{_prefix}/bin/gnome-dump-metadata
%{_prefix}/bin/gnome-gen-mimedb
%{_prefix}/bin/gnome-moz-remote
%{_prefix}/bin/gnome-name-service
%{_prefix}/bin/gnome_segv
%{_prefix}/bin/goad-browser
%{_prefix}/bin/loadshlib
%{_prefix}/bin/new-object
%attr(2755, root, utmp) %{_prefix}/sbin/gnome-pty-helper
%{_prefix}/share/idl/*
%{_prefix}/share/pixmaps/*
%{_prefix}/share/mime-info/gnome.mime
%{_prefix}/share/type-convert/type.convert
%config %{sysconfdir}/*

%files devel
%defattr(-, root, root)

%{_prefix}/bin/gnome-config
%{_prefix}/bin/libart-config
%{_prefix}/bin/gnome-doc
%{_prefix}/bin/mkstub
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*.a
%{_prefix}/lib/*.sh
%{_prefix}/lib/gnome-libs
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%{_prefix}/share/gnome/html
%{_prefix}/share/emacs/site-lisp/gnome-doc.el

%changelog
* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for gtk+-1.2.9

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Mon Feb 19 2001 Havoc Pennington <hp@redhat.com>
- Fix paste to still try STRING even if we also try COMPOUND_TEXT, 
  bug 26971

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com> 1.2.4-6
- Add utempter Prereq, bug #24171

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com>
- Apply patch from John Harper that makes GNOME apps work with the 
  KDE session manager.

* Wed Jan 31 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed show multibyte character in gnome_canvas_new_aa ()

* Sun Jan 28 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed show UTF-8 encoding KDE menu.

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- Japanese ideographs now show up in iswalnum, don't include it in the
  ideograph check (Patch26: gtk-xmhtml-wordwrap-alnum.patch)

* Wed Dec 27 2000 Matt Wilson <msw@redhat.com>
- enable japanese
- removed gnome-libs-1.2.4-druid-fontset.patch, in mainline

* Tue Dec 19 2000 Matt Wilson <msw@redhat.com>
- disabled i18n (asian) patches, but integrate patches into main package
- added iconlist im patch from CLE, currently disabled.
- 1.2.8
- removed gnome-libs-1.2.4-setbgfix.patch, in mainline
- removed gnome-libs-1.2.4-grabfix.patch, in mainline
- removed gnome-libs-1.2.4-doubleclicks.patch, in mainline
- removed gnome-libs-1.2.4-motionnotify.patch, in mainline
- removed gnome-libs-1.2.4-nosound.patch, in mainline
- removed alpha cflags hack

* Thu Sep  7 2000 Matt Wilson <msw@redhat.com>
- added patch for gtk-XmHTML wrapping
- added patch to ensure proper kanji display in about boxes (is this still needed?)
- added patch to tweak the fonts used for XmHTML to be readable in Japanese

* Tue Aug 29 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patches

* Wed Aug 23 2000 Elliot Lee <sopwith@redhat.com>
- Fix the mismatch of default settings between control-center and
gnome-libs. I am the true survivor!

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Always use SCROLL_NEVER mode as if transparency was on, 
  even if transparency is not on. This fixes 14744 but makes
  scrolling slow. Best we can do, sigh.

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Call gdk_window_get_pointer on motion notify, fixes bug
  16407, though I don't quite understand why it does

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Filter out double/triple clicks when doing scroll or paste

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- fix for grabbing the pointer while selecting

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- fix for failure to change background color post-realization

* Fri Aug 04 2000 Owen Taylor <otaylor@redhat.com>
- Add a Requires db1-devel to the devel package. (Bug #15394)

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild to see if we can fix funny gnome-config junk
  problem. 

* Tue Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Rebuild; were getting weird segfaults with tearoff dock items,
  rebuilding with debugging made it go away, hoping it was 
  a compiler bug.

* Wed Jul 12 2000 Havoc Pennington <hp@redhat.com>
- 1.2.4
- remove IDL fix patch, seems to have gone upstream

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Move elisp files and executables out of /usr/share/doc
- Add HTML docs to file list
- remove broken %%doc mess

* Thu Jun 15 2000 Jonathan Blandford <jrb@redhat.com>
- added bug fix to fix idl miscompilation.

* Fri Jun  9 2000 Matt Wilson <msw@redhat.com>
- 1.2.1
- rebuilt with gcc that has fixed C ABI

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- prefer db1

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to gnome-libs 1.0.62

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- keyboard mapping follows debian policy, xterm

* Tue Feb 15 2000 Owen Taylor <otaylor@redhat.com>
- Add checks to make sure gnome-terminal survives if the
  bg pixmap vanishes.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Install gtkrc files in /etc/gnome

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Remove broken alpha timeval fix, fix bug in configure.in
  that was misdetecting ut_tv field of utmpx

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up escape sequences in zvt (Bug #9143)

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Accept true/yes/non-zero as TRUE for gnome-config boolean values.

* Wed Feb 03 2000 Havoc Pennington <hp@redhat.com>
- set ECHOK for terminal widget, bug 8823

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- include man pages in the file list, also bug 8017

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- Fix an alpha warning bugzilla #8017

* Tue Feb 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.55

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.15

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- Merge in various minor things from RHL

* Mon Jun 14 1999 Gregory McLean <gregm@comstar.net>

- Added the -q option to the setup stage, quiet please!

* Tue Mar 2  1999 Gregory McLean <gregm@comstar.net>

- Added some hackage in for the brain dead libtool on the alpha
- Cleaned up the spec file abit to be more consistant.

* Wed Feb 17 1999 Elliot Lee <sopwith@redhat.com>

- Add debugging disabling flags to $CFLAGS

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-libs source tree
